---
title: prefactor_http.models package
editUrl: true
head: []
template: doc
sidebar:
  hidden: false
  attrs: {}
pagefind: true
draft: false
---

# prefactor_http.models package

Prefactor HTTP Client models.

### *class* prefactor_http.models.ActionProfile(, create_data: Literal['unknown', 'allowed', 'disallowed'] = 'unknown', read_data: Literal['unknown', 'allowed', 'disallowed'] = 'unknown', update_data: Literal['unknown', 'allowed', 'disallowed'] = 'unknown', destroy_data: Literal['unknown', 'allowed', 'disallowed'] = 'unknown', financial_transactions: Literal['unknown', 'allowed', 'disallowed'] = 'unknown', external_communication: Literal['unknown', 'allowed', 'disallowed'] = 'unknown')

Bases: `BaseModel`

Action profile defining what actions a span type performs.

#### create_data

Whether this span creates data

* **Type:**
  Literal[‘unknown’, ‘allowed’, ‘disallowed’]

#### read_data

Whether this span reads data

* **Type:**
  Literal[‘unknown’, ‘allowed’, ‘disallowed’]

#### update_data

Whether this span updates data

* **Type:**
  Literal[‘unknown’, ‘allowed’, ‘disallowed’]

#### destroy_data

Whether this span destroys data

* **Type:**
  Literal[‘unknown’, ‘allowed’, ‘disallowed’]

#### financial_transactions

Whether this span performs financial transactions

* **Type:**
  Literal[‘unknown’, ‘allowed’, ‘disallowed’]

#### external_communication

Whether this span sends external communications

* **Type:**
  Literal[‘unknown’, ‘allowed’, ‘disallowed’]

#### create_data *: Literal['unknown', 'allowed', 'disallowed']*

#### destroy_data *: Literal['unknown', 'allowed', 'disallowed']*

#### external_communication *: Literal['unknown', 'allowed', 'disallowed']*

#### financial_transactions *: Literal['unknown', 'allowed', 'disallowed']*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### read_data *: Literal['unknown', 'allowed', 'disallowed']*

#### update_data *: Literal['unknown', 'allowed', 'disallowed']*

### *class* prefactor_http.models.AgentInstance(, type: Literal['agent_instance'], id: str, account_id: str, agent_id: str, agent_version_id: str, environment_id: str, status: Literal['pending', 'active', 'complete', 'failed', 'cancelled'], inserted_at: datetime, updated_at: datetime, started_at: datetime | None = None, finished_at: datetime | None = None, span_counts: [AgentInstanceSpanCounts](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts) | None = None)

Bases: `BaseModel`

Agent instance model.

#### type

Resource type (always “agent_instance”)

* **Type:**
  Literal[‘agent_instance’]

#### id

Instance ID

* **Type:**
  str

#### account_id

Account ID

* **Type:**
  str

#### agent_id

Agent ID

* **Type:**
  str

#### agent_version_id

Agent version ID

* **Type:**
  str

#### environment_id

Environment ID

* **Type:**
  str

#### status

Instance status

* **Type:**
  AgentStatus

#### inserted_at

When the instance was created

* **Type:**
  datetime

#### updated_at

When the instance was last updated

* **Type:**
  datetime

#### started_at

When the instance started (null if not started)

* **Type:**
  datetime | None

#### finished_at

When the instance finished (null if not finished)

* **Type:**
  datetime | None

#### span_counts

Span counts for this instance

* **Type:**
  [AgentInstanceSpanCounts](#prefactor_http.models.AgentInstanceSpanCounts) | None

#### account_id *: str*

#### agent_id *: str*

#### agent_version_id *: str*

#### environment_id *: str*

#### finished_at *: datetime | None*

#### id *: str*

#### inserted_at *: datetime*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### span_counts *: [AgentInstanceSpanCounts](#prefactor_http.models.AgentInstanceSpanCounts) | None*

#### started_at *: datetime | None*

#### status *: AgentStatus*

#### type *: Literal['agent_instance']*

#### updated_at *: datetime*

### *class* prefactor_http.models.AgentInstanceSpanCounts(, total: int, pending: int, active: int, complete: int, failed: int, cancelled: int, finished: int)

Bases: `BaseModel`

Span counts for an agent instance.

#### total

Total number of spans

* **Type:**
  int

#### pending

Number of pending spans

* **Type:**
  int

#### active

Number of active spans

* **Type:**
  int

#### complete

Number of completed spans

* **Type:**
  int

#### failed

Number of failed spans

* **Type:**
  int

#### cancelled

Number of cancelled spans

* **Type:**
  int

#### finished

Number of finished spans (complete + failed + cancelled)

* **Type:**
  int

#### active *: int*

#### cancelled *: int*

#### complete *: int*

#### failed *: int*

#### finished *: int*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### pending *: int*

#### total *: int*

### *class* prefactor_http.models.AgentSchemaVersionForRegister(, external_identifier: str | None = None, span_schemas: dict[str, dict] | None = None, span_result_schemas: dict[str, dict] | None = None, span_type_schemas: list[[SpanTypeSchemaForCreate](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate)] | None = None)

Bases: `BaseModel`

Schema version information for registration.

#### external_identifier

External identifier for the schema version

* **Type:**
  str | None

#### span_schemas

Map of span type names to JSON schemas

* **Type:**
  dict[str, dict] | None

#### span_result_schemas

Map of span type names to result JSON schemas

* **Type:**
  dict[str, dict] | None

#### span_type_schemas

List of span type schema details

* **Type:**
  list[[SpanTypeSchemaForCreate](#prefactor_http.models.SpanTypeSchemaForCreate)] | None

#### external_identifier *: str | None*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### span_result_schemas *: dict[str, dict] | None*

#### span_schemas *: dict[str, dict] | None*

#### span_type_schemas *: list[[SpanTypeSchemaForCreate](#prefactor_http.models.SpanTypeSchemaForCreate)] | None*

### *class* prefactor_http.models.AgentSpan(\*, type: ~typing.Literal['agent_span'], id: str, account_id: str | None = None, agent_id: str | None = None, agent_instance_id: str, parent_span_id: str | None = None, schema_name: str, schema_title: str | None = None, status: ~typing.Literal['pending', 'active', 'complete', 'failed', 'cancelled'], payload: dict = <factory>, result_payload: dict | None = None, summary: str | None = None, started_at: ~datetime.datetime | None = None, inserted_at: ~datetime.datetime | None = None, updated_at: ~datetime.datetime | None = None, finished_at: ~datetime.datetime | None = None)

Bases: `BaseModel`

Agent span model.

#### type

Resource type (always “agent_span”)

* **Type:**
  Literal[‘agent_span’]

#### id

Span ID

* **Type:**
  str

#### account_id

Account ID

* **Type:**
  str | None

#### agent_id

Agent ID

* **Type:**
  str | None

#### agent_instance_id

Agent instance ID

* **Type:**
  str

#### parent_span_id

Parent span ID (None if root span)

* **Type:**
  str | None

#### schema_name

Name of the schema for this span

* **Type:**
  str

#### schema_title

Title of the schema for this span

* **Type:**
  str | None

#### status

Span status

* **Type:**
  Literal[‘pending’, ‘active’, ‘complete’, ‘failed’, ‘cancelled’]

#### payload

Span payload data

* **Type:**
  dict

#### result_payload

Result payload data

* **Type:**
  dict | None

#### summary

Optional span summary

* **Type:**
  str | None

#### started_at

When the span started

* **Type:**
  datetime.datetime | None

#### inserted_at

When the span was created

* **Type:**
  datetime.datetime | None

#### updated_at

When the span was last updated

* **Type:**
  datetime.datetime | None

#### finished_at

When the span finished (None if in progress)

* **Type:**
  datetime.datetime | None

#### account_id *: str | None*

#### agent_id *: str | None*

#### agent_instance_id *: str*

#### finished_at *: datetime | None*

#### id *: str*

#### inserted_at *: datetime | None*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### parent_span_id *: str | None*

#### payload *: dict*

#### result_payload *: dict | None*

#### schema_name *: str*

#### schema_title *: str | None*

#### started_at *: datetime | None*

#### status *: Literal['pending', 'active', 'complete', 'failed', 'cancelled']*

#### summary *: str | None*

#### type *: Literal['agent_span']*

#### updated_at *: datetime | None*

### *class* prefactor_http.models.AgentVersionForRegister(, name: str | None = None, external_identifier: str | None = None, description: str | None = None)

Bases: `BaseModel`

Agent version information for registration.

#### name

Name of the agent version

* **Type:**
  str | None

#### external_identifier

External identifier for the version (e.g., “v1.0.0”)

* **Type:**
  str | None

#### description

Optional description of the version

* **Type:**
  str | None

#### description *: str | None*

#### external_identifier *: str | None*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### name *: str | None*

### *class* prefactor_http.models.ApiResponse(, status: str, details: T)

Bases: `BaseModel`, `Generic`[`T`]

Generic API response wrapper.

#### status

Response status (always “success” for successful requests)

* **Type:**
  str

#### details

Detailed response data

* **Type:**
  prefactor_http.models.base.T

#### details *: T*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### status *: str*

### *class* prefactor_http.models.BulkItem(, \_type: str, idempotency_key: Annotated[str, MinLen(min_length=8), MaxLen(max_length=64)], \*\*extra_data: Any)

Bases: `BaseModel`

A single item in a bulk request.

Each item must include \_type and idempotency_key, plus any additional
parameters required by the specific action type.

#### idempotency_key *: str*

Required unique idempotency key for this item. Must be at least 8
characters long and unique within the request.

#### model_config *= {'extra': 'allow'}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### type *: str*

The type of query/action to execute (e.g., ‘agents/list’, ‘agents/create’).

### *class* prefactor_http.models.BulkOutput(, status: str, \*\*extra_data: Any)

Bases: `BaseModel`

Output from a query or action.

Contains either a success response (with ‘status’: ‘success’ and
operation-specific data) or an error response (with ‘status’: ‘error’,
‘code’, ‘message’, and optionally ‘errors’).

#### model_config *= {'extra': 'allow'}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### status *: str*

‘success’ or ‘error’.

* **Type:**
  Status of the operation

#### *classmethod* validate_status(v: str) → str

### *class* prefactor_http.models.BulkRequest(, items: Annotated[list[[BulkItem](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem)], MinLen(min_length=1)])

Bases: `BaseModel`

Request body for bulk query/action operations.

Allows executing multiple API operations in a single request.

#### items *: list[[BulkItem](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem)]*

List of items to process in bulk. Each item will be processed independently
in its own transaction.

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### *classmethod* validate_unique_idempotency_keys(items: list[[BulkItem](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem)]) → list[[BulkItem](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem)]

Validate that all idempotency keys are unique within the request.

### *class* prefactor_http.models.BulkResponse(, status: str = 'success', outputs: dict[str, [BulkOutput](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkOutput)])

Bases: `BaseModel`

Response from bulk query/action operations.

Contains a map of results keyed by the idempotency_key from each request item.

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### outputs *: dict[str, [BulkOutput](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkOutput)]*

Map where keys are the idempotency_key values from the request, and values
are the corresponding query/action outputs or error responses.

#### status *: str*

Response status, always ‘success’ when the request is processed.

### *class* prefactor_http.models.DataCategories(, personal_identifiers: Literal['unknown', 'included', 'excluded'] = 'unknown', contact_information: Literal['unknown', 'included', 'excluded'] = 'unknown', financial_information: Literal['unknown', 'included', 'excluded'] = 'unknown', health_and_medical: Literal['unknown', 'included', 'excluded'] = 'unknown', criminal_justice: Literal['unknown', 'included', 'excluded'] = 'unknown', authentication_and_secrets: Literal['unknown', 'included', 'excluded'] = 'unknown', organisational_confidential: Literal['unknown', 'included', 'excluded'] = 'unknown', minors_data: Literal['unknown', 'included', 'excluded'] = 'unknown', location_and_tracking: Literal['unknown', 'included', 'excluded'] = 'unknown', behavioural_and_inferred: Literal['unknown', 'included', 'excluded'] = 'unknown', gdpr_racial_or_ethnic_origin: Literal['unknown', 'included', 'excluded'] = 'unknown', gdpr_political_opinions: Literal['unknown', 'included', 'excluded'] = 'unknown', gdpr_religious_or_philosophical_beliefs: Literal['unknown', 'included', 'excluded'] = 'unknown', gdpr_trade_union_membership: Literal['unknown', 'included', 'excluded'] = 'unknown', gdpr_genetic_data: Literal['unknown', 'included', 'excluded'] = 'unknown', gdpr_biometric_for_identification: Literal['unknown', 'included', 'excluded'] = 'unknown', gdpr_sex_life_or_sexual_orientation: Literal['unknown', 'included', 'excluded'] = 'unknown', classification: Literal['unknown', 'public', 'internal', 'confidential', 'restricted', 'secret'] = 'unknown')

Bases: `BaseModel`

Data categories present in span data.

#### personal_identifiers

Personal identifiers present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### contact_information

Contact information present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### financial_information

Financial information present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### health_and_medical

Health and medical data present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### criminal_justice

Criminal justice data present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### authentication_and_secrets

Authentication and secrets present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### organisational_confidential

Organisational confidential data present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### minors_data

Minors data present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### location_and_tracking

Location and tracking data present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### behavioural_and_inferred

Behavioural and inferred data present

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### gdpr_racial_or_ethnic_origin

GDPR: racial or ethnic origin

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### gdpr_political_opinions

GDPR: political opinions

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### gdpr_religious_or_philosophical_beliefs

GDPR: religious or philosophical
beliefs

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### gdpr_trade_union_membership

GDPR: trade union membership

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### gdpr_genetic_data

GDPR: genetic data

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### gdpr_biometric_for_identification

GDPR: biometric data for identification

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### gdpr_sex_life_or_sexual_orientation

GDPR: sex life or sexual orientation

* **Type:**
  Literal[‘unknown’, ‘included’, ‘excluded’]

#### classification

Classification level (unknown, public, internal,
confidential, restricted, secret)

* **Type:**
  Literal[‘unknown’, ‘public’, ‘internal’, ‘confidential’, ‘restricted’, ‘secret’]

#### authentication_and_secrets *: Literal['unknown', 'included', 'excluded']*

#### behavioural_and_inferred *: Literal['unknown', 'included', 'excluded']*

#### classification *: Literal['unknown', 'public', 'internal', 'confidential', 'restricted', 'secret']*

#### contact_information *: Literal['unknown', 'included', 'excluded']*

#### criminal_justice *: Literal['unknown', 'included', 'excluded']*

#### financial_information *: Literal['unknown', 'included', 'excluded']*

#### gdpr_biometric_for_identification *: Literal['unknown', 'included', 'excluded']*

#### gdpr_genetic_data *: Literal['unknown', 'included', 'excluded']*

#### gdpr_political_opinions *: Literal['unknown', 'included', 'excluded']*

#### gdpr_racial_or_ethnic_origin *: Literal['unknown', 'included', 'excluded']*

#### gdpr_religious_or_philosophical_beliefs *: Literal['unknown', 'included', 'excluded']*

#### gdpr_sex_life_or_sexual_orientation *: Literal['unknown', 'included', 'excluded']*

#### gdpr_trade_union_membership *: Literal['unknown', 'included', 'excluded']*

#### health_and_medical *: Literal['unknown', 'included', 'excluded']*

#### location_and_tracking *: Literal['unknown', 'included', 'excluded']*

#### minors_data *: Literal['unknown', 'included', 'excluded']*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### organisational_confidential *: Literal['unknown', 'included', 'excluded']*

#### personal_identifiers *: Literal['unknown', 'included', 'excluded']*

### *class* prefactor_http.models.DataRisk(, action_profile: [ActionProfile](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile), params_data_categories: [DataCategories](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories), result_data_categories: [DataCategories](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories), \*\*extra_data: Any)

Bases: `BaseModel`

Data risk specification for a span type.

#### action_profile

Actions this span performs

* **Type:**
  [ActionProfile](#prefactor_http.models.ActionProfile)

#### params_data_categories

Data categories present in params

* **Type:**
  [DataCategories](#prefactor_http.models.DataCategories)

#### result_data_categories

Data categories present in result

* **Type:**
  [DataCategories](#prefactor_http.models.DataCategories)

#### action_profile *: [ActionProfile](#prefactor_http.models.ActionProfile)*

#### model_config *= {'extra': 'allow'}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### params_data_categories *: [DataCategories](#prefactor_http.models.DataCategories)*

#### result_data_categories *: [DataCategories](#prefactor_http.models.DataCategories)*

### *class* prefactor_http.models.FinishInstanceRequest(, status: Literal['complete', 'failed', 'cancelled'] | None = None, timestamp: str | None = None, idempotency_key: str | None = None)

Bases: `BaseModel`

Request to finish an agent instance.

#### status

Optional finish status (complete, failed, cancelled)

* **Type:**
  FinishStatus | None

#### timestamp

Optional ISO 8601 timestamp (defaults to current time)

* **Type:**
  str | None

#### idempotency_key

Optional idempotency key

* **Type:**
  str | None

#### idempotency_key *: str | None*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### status *: FinishStatus | None*

#### timestamp *: str | None*

### *class* prefactor_http.models.SpanTypeSchemaForCreate(, name: str, params_schema: dict, result_schema: dict | None = None, title: str | None = None, description: str | None = None, template: str | None = None, data_risk: [DataRisk](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataRisk) | None = None)

Bases: `BaseModel`

Span type schema details for registration.

#### name

Name of the span type

* **Type:**
  str

#### params_schema

JSON schema for span parameters

* **Type:**
  dict

#### result_schema

Optional JSON schema for span results

* **Type:**
  dict | None

#### title

Optional human-readable title

* **Type:**
  str | None

#### description

Optional description

* **Type:**
  str | None

#### template

Optional template string

* **Type:**
  str | None

#### data_risk

Optional data risk classification

* **Type:**
  [DataRisk](#prefactor_http.models.DataRisk) | None

#### data_risk *: [DataRisk](#prefactor_http.models.DataRisk) | None*

#### description *: str | None*

#### model_config *= {}*

Configuration for the model, should be a dictionary conforming to [ConfigDict][pydantic.config.ConfigDict].

#### name *: str*

#### params_schema *: dict*

#### result_schema *: dict | None*

#### template *: str | None*

#### title *: str | None*

## Submodules

* [prefactor_http.models.agent_instance module](prefactor_http.models.agent_instance.md)
  * [`ActionProfile`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile)
    * [`ActionProfile.create_data`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile.create_data)
    * [`ActionProfile.read_data`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile.read_data)
    * [`ActionProfile.update_data`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile.update_data)
    * [`ActionProfile.destroy_data`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile.destroy_data)
    * [`ActionProfile.financial_transactions`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile.financial_transactions)
    * [`ActionProfile.external_communication`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile.external_communication)
    * [`ActionProfile.create_data`](prefactor_http.models.agent_instance.md#id0)
    * [`ActionProfile.destroy_data`](prefactor_http.models.agent_instance.md#id1)
    * [`ActionProfile.external_communication`](prefactor_http.models.agent_instance.md#id2)
    * [`ActionProfile.financial_transactions`](prefactor_http.models.agent_instance.md#id3)
    * [`ActionProfile.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.ActionProfile.model_config)
    * [`ActionProfile.read_data`](prefactor_http.models.agent_instance.md#id4)
    * [`ActionProfile.update_data`](prefactor_http.models.agent_instance.md#id5)
  * [`AgentInstance`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance)
    * [`AgentInstance.type`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.type)
    * [`AgentInstance.id`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.id)
    * [`AgentInstance.account_id`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.account_id)
    * [`AgentInstance.agent_id`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.agent_id)
    * [`AgentInstance.agent_version_id`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.agent_version_id)
    * [`AgentInstance.environment_id`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.environment_id)
    * [`AgentInstance.status`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.status)
    * [`AgentInstance.inserted_at`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.inserted_at)
    * [`AgentInstance.updated_at`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.updated_at)
    * [`AgentInstance.started_at`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.started_at)
    * [`AgentInstance.finished_at`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.finished_at)
    * [`AgentInstance.span_counts`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.span_counts)
    * [`AgentInstance.account_id`](prefactor_http.models.agent_instance.md#id6)
    * [`AgentInstance.agent_id`](prefactor_http.models.agent_instance.md#id7)
    * [`AgentInstance.agent_version_id`](prefactor_http.models.agent_instance.md#id8)
    * [`AgentInstance.environment_id`](prefactor_http.models.agent_instance.md#id9)
    * [`AgentInstance.finished_at`](prefactor_http.models.agent_instance.md#id10)
    * [`AgentInstance.id`](prefactor_http.models.agent_instance.md#id11)
    * [`AgentInstance.inserted_at`](prefactor_http.models.agent_instance.md#id12)
    * [`AgentInstance.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstance.model_config)
    * [`AgentInstance.span_counts`](prefactor_http.models.agent_instance.md#id13)
    * [`AgentInstance.started_at`](prefactor_http.models.agent_instance.md#id14)
    * [`AgentInstance.status`](prefactor_http.models.agent_instance.md#id15)
    * [`AgentInstance.type`](prefactor_http.models.agent_instance.md#id16)
    * [`AgentInstance.updated_at`](prefactor_http.models.agent_instance.md#id17)
  * [`AgentInstanceSpanCounts`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts)
    * [`AgentInstanceSpanCounts.total`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.total)
    * [`AgentInstanceSpanCounts.pending`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.pending)
    * [`AgentInstanceSpanCounts.active`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.active)
    * [`AgentInstanceSpanCounts.complete`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.complete)
    * [`AgentInstanceSpanCounts.failed`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.failed)
    * [`AgentInstanceSpanCounts.cancelled`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.cancelled)
    * [`AgentInstanceSpanCounts.finished`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.finished)
    * [`AgentInstanceSpanCounts.active`](prefactor_http.models.agent_instance.md#id18)
    * [`AgentInstanceSpanCounts.cancelled`](prefactor_http.models.agent_instance.md#id19)
    * [`AgentInstanceSpanCounts.complete`](prefactor_http.models.agent_instance.md#id20)
    * [`AgentInstanceSpanCounts.failed`](prefactor_http.models.agent_instance.md#id21)
    * [`AgentInstanceSpanCounts.finished`](prefactor_http.models.agent_instance.md#id22)
    * [`AgentInstanceSpanCounts.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentInstanceSpanCounts.model_config)
    * [`AgentInstanceSpanCounts.pending`](prefactor_http.models.agent_instance.md#id23)
    * [`AgentInstanceSpanCounts.total`](prefactor_http.models.agent_instance.md#id24)
  * [`AgentSchemaVersionForRegister`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentSchemaVersionForRegister)
    * [`AgentSchemaVersionForRegister.external_identifier`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentSchemaVersionForRegister.external_identifier)
    * [`AgentSchemaVersionForRegister.span_schemas`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentSchemaVersionForRegister.span_schemas)
    * [`AgentSchemaVersionForRegister.span_result_schemas`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentSchemaVersionForRegister.span_result_schemas)
    * [`AgentSchemaVersionForRegister.span_type_schemas`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentSchemaVersionForRegister.span_type_schemas)
    * [`AgentSchemaVersionForRegister.external_identifier`](prefactor_http.models.agent_instance.md#id25)
    * [`AgentSchemaVersionForRegister.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentSchemaVersionForRegister.model_config)
    * [`AgentSchemaVersionForRegister.span_result_schemas`](prefactor_http.models.agent_instance.md#id26)
    * [`AgentSchemaVersionForRegister.span_schemas`](prefactor_http.models.agent_instance.md#id27)
    * [`AgentSchemaVersionForRegister.span_type_schemas`](prefactor_http.models.agent_instance.md#id28)
  * [`AgentVersionForRegister`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentVersionForRegister)
    * [`AgentVersionForRegister.name`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentVersionForRegister.name)
    * [`AgentVersionForRegister.external_identifier`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentVersionForRegister.external_identifier)
    * [`AgentVersionForRegister.description`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentVersionForRegister.description)
    * [`AgentVersionForRegister.description`](prefactor_http.models.agent_instance.md#id29)
    * [`AgentVersionForRegister.external_identifier`](prefactor_http.models.agent_instance.md#id30)
    * [`AgentVersionForRegister.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.AgentVersionForRegister.model_config)
    * [`AgentVersionForRegister.name`](prefactor_http.models.agent_instance.md#id31)
  * [`DataCategories`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories)
    * [`DataCategories.personal_identifiers`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.personal_identifiers)
    * [`DataCategories.contact_information`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.contact_information)
    * [`DataCategories.financial_information`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.financial_information)
    * [`DataCategories.health_and_medical`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.health_and_medical)
    * [`DataCategories.criminal_justice`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.criminal_justice)
    * [`DataCategories.authentication_and_secrets`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.authentication_and_secrets)
    * [`DataCategories.organisational_confidential`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.organisational_confidential)
    * [`DataCategories.minors_data`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.minors_data)
    * [`DataCategories.location_and_tracking`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.location_and_tracking)
    * [`DataCategories.behavioural_and_inferred`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.behavioural_and_inferred)
    * [`DataCategories.gdpr_racial_or_ethnic_origin`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.gdpr_racial_or_ethnic_origin)
    * [`DataCategories.gdpr_political_opinions`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.gdpr_political_opinions)
    * [`DataCategories.gdpr_religious_or_philosophical_beliefs`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.gdpr_religious_or_philosophical_beliefs)
    * [`DataCategories.gdpr_trade_union_membership`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.gdpr_trade_union_membership)
    * [`DataCategories.gdpr_genetic_data`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.gdpr_genetic_data)
    * [`DataCategories.gdpr_biometric_for_identification`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.gdpr_biometric_for_identification)
    * [`DataCategories.gdpr_sex_life_or_sexual_orientation`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.gdpr_sex_life_or_sexual_orientation)
    * [`DataCategories.classification`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.classification)
    * [`DataCategories.authentication_and_secrets`](prefactor_http.models.agent_instance.md#id32)
    * [`DataCategories.behavioural_and_inferred`](prefactor_http.models.agent_instance.md#id33)
    * [`DataCategories.classification`](prefactor_http.models.agent_instance.md#id34)
    * [`DataCategories.contact_information`](prefactor_http.models.agent_instance.md#id35)
    * [`DataCategories.criminal_justice`](prefactor_http.models.agent_instance.md#id36)
    * [`DataCategories.financial_information`](prefactor_http.models.agent_instance.md#id37)
    * [`DataCategories.gdpr_biometric_for_identification`](prefactor_http.models.agent_instance.md#id38)
    * [`DataCategories.gdpr_genetic_data`](prefactor_http.models.agent_instance.md#id39)
    * [`DataCategories.gdpr_political_opinions`](prefactor_http.models.agent_instance.md#id40)
    * [`DataCategories.gdpr_racial_or_ethnic_origin`](prefactor_http.models.agent_instance.md#id41)
    * [`DataCategories.gdpr_religious_or_philosophical_beliefs`](prefactor_http.models.agent_instance.md#id42)
    * [`DataCategories.gdpr_sex_life_or_sexual_orientation`](prefactor_http.models.agent_instance.md#id43)
    * [`DataCategories.gdpr_trade_union_membership`](prefactor_http.models.agent_instance.md#id44)
    * [`DataCategories.health_and_medical`](prefactor_http.models.agent_instance.md#id45)
    * [`DataCategories.location_and_tracking`](prefactor_http.models.agent_instance.md#id46)
    * [`DataCategories.minors_data`](prefactor_http.models.agent_instance.md#id47)
    * [`DataCategories.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataCategories.model_config)
    * [`DataCategories.organisational_confidential`](prefactor_http.models.agent_instance.md#id48)
    * [`DataCategories.personal_identifiers`](prefactor_http.models.agent_instance.md#id49)
  * [`DataRisk`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataRisk)
    * [`DataRisk.action_profile`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataRisk.action_profile)
    * [`DataRisk.params_data_categories`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataRisk.params_data_categories)
    * [`DataRisk.result_data_categories`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataRisk.result_data_categories)
    * [`DataRisk.action_profile`](prefactor_http.models.agent_instance.md#id50)
    * [`DataRisk.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.DataRisk.model_config)
    * [`DataRisk.params_data_categories`](prefactor_http.models.agent_instance.md#id51)
    * [`DataRisk.result_data_categories`](prefactor_http.models.agent_instance.md#id52)
  * [`FinishInstanceRequest`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.FinishInstanceRequest)
    * [`FinishInstanceRequest.status`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.FinishInstanceRequest.status)
    * [`FinishInstanceRequest.timestamp`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.FinishInstanceRequest.timestamp)
    * [`FinishInstanceRequest.idempotency_key`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.FinishInstanceRequest.idempotency_key)
    * [`FinishInstanceRequest.idempotency_key`](prefactor_http.models.agent_instance.md#id53)
    * [`FinishInstanceRequest.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.FinishInstanceRequest.model_config)
    * [`FinishInstanceRequest.status`](prefactor_http.models.agent_instance.md#id54)
    * [`FinishInstanceRequest.timestamp`](prefactor_http.models.agent_instance.md#id55)
  * [`RegisterAgentInstanceRequest`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest)
    * [`RegisterAgentInstanceRequest.agent_id`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest.agent_id)
    * [`RegisterAgentInstanceRequest.agent_version`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest.agent_version)
    * [`RegisterAgentInstanceRequest.agent_schema_version`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest.agent_schema_version)
    * [`RegisterAgentInstanceRequest.id`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest.id)
    * [`RegisterAgentInstanceRequest.idempotency_key`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest.idempotency_key)
    * [`RegisterAgentInstanceRequest.update_current_version`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest.update_current_version)
    * [`RegisterAgentInstanceRequest.agent_id`](prefactor_http.models.agent_instance.md#id56)
    * [`RegisterAgentInstanceRequest.agent_schema_version`](prefactor_http.models.agent_instance.md#id57)
    * [`RegisterAgentInstanceRequest.agent_version`](prefactor_http.models.agent_instance.md#id58)
    * [`RegisterAgentInstanceRequest.id`](prefactor_http.models.agent_instance.md#id59)
    * [`RegisterAgentInstanceRequest.idempotency_key`](prefactor_http.models.agent_instance.md#id60)
    * [`RegisterAgentInstanceRequest.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.RegisterAgentInstanceRequest.model_config)
    * [`RegisterAgentInstanceRequest.update_current_version`](prefactor_http.models.agent_instance.md#id61)
  * [`SpanTypeSchemaForCreate`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate)
    * [`SpanTypeSchemaForCreate.name`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.name)
    * [`SpanTypeSchemaForCreate.params_schema`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.params_schema)
    * [`SpanTypeSchemaForCreate.result_schema`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.result_schema)
    * [`SpanTypeSchemaForCreate.title`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.title)
    * [`SpanTypeSchemaForCreate.description`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.description)
    * [`SpanTypeSchemaForCreate.template`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.template)
    * [`SpanTypeSchemaForCreate.data_risk`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.data_risk)
    * [`SpanTypeSchemaForCreate.data_risk`](prefactor_http.models.agent_instance.md#id62)
    * [`SpanTypeSchemaForCreate.description`](prefactor_http.models.agent_instance.md#id63)
    * [`SpanTypeSchemaForCreate.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.SpanTypeSchemaForCreate.model_config)
    * [`SpanTypeSchemaForCreate.name`](prefactor_http.models.agent_instance.md#id64)
    * [`SpanTypeSchemaForCreate.params_schema`](prefactor_http.models.agent_instance.md#id65)
    * [`SpanTypeSchemaForCreate.result_schema`](prefactor_http.models.agent_instance.md#id66)
    * [`SpanTypeSchemaForCreate.template`](prefactor_http.models.agent_instance.md#id67)
    * [`SpanTypeSchemaForCreate.title`](prefactor_http.models.agent_instance.md#id68)
  * [`TimestampRequest`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.TimestampRequest)
    * [`TimestampRequest.timestamp`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.TimestampRequest.timestamp)
    * [`TimestampRequest.idempotency_key`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.TimestampRequest.idempotency_key)
    * [`TimestampRequest.idempotency_key`](prefactor_http.models.agent_instance.md#id69)
    * [`TimestampRequest.model_config`](prefactor_http.models.agent_instance.md#prefactor_http.models.agent_instance.TimestampRequest.model_config)
    * [`TimestampRequest.timestamp`](prefactor_http.models.agent_instance.md#id70)
* [prefactor_http.models.agent_span module](prefactor_http.models.agent_span.md)
  * [`AgentSpan`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan)
    * [`AgentSpan.type`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.type)
    * [`AgentSpan.id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.id)
    * [`AgentSpan.account_id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.account_id)
    * [`AgentSpan.agent_id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.agent_id)
    * [`AgentSpan.agent_instance_id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.agent_instance_id)
    * [`AgentSpan.parent_span_id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.parent_span_id)
    * [`AgentSpan.schema_name`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.schema_name)
    * [`AgentSpan.schema_title`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.schema_title)
    * [`AgentSpan.status`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.status)
    * [`AgentSpan.payload`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.payload)
    * [`AgentSpan.result_payload`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.result_payload)
    * [`AgentSpan.summary`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.summary)
    * [`AgentSpan.started_at`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.started_at)
    * [`AgentSpan.inserted_at`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.inserted_at)
    * [`AgentSpan.updated_at`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.updated_at)
    * [`AgentSpan.finished_at`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.finished_at)
    * [`AgentSpan.account_id`](prefactor_http.models.agent_span.md#id0)
    * [`AgentSpan.agent_id`](prefactor_http.models.agent_span.md#id1)
    * [`AgentSpan.agent_instance_id`](prefactor_http.models.agent_span.md#id2)
    * [`AgentSpan.finished_at`](prefactor_http.models.agent_span.md#id3)
    * [`AgentSpan.id`](prefactor_http.models.agent_span.md#id4)
    * [`AgentSpan.inserted_at`](prefactor_http.models.agent_span.md#id5)
    * [`AgentSpan.model_config`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.AgentSpan.model_config)
    * [`AgentSpan.parent_span_id`](prefactor_http.models.agent_span.md#id6)
    * [`AgentSpan.payload`](prefactor_http.models.agent_span.md#id7)
    * [`AgentSpan.result_payload`](prefactor_http.models.agent_span.md#id8)
    * [`AgentSpan.schema_name`](prefactor_http.models.agent_span.md#id9)
    * [`AgentSpan.schema_title`](prefactor_http.models.agent_span.md#id10)
    * [`AgentSpan.started_at`](prefactor_http.models.agent_span.md#id11)
    * [`AgentSpan.status`](prefactor_http.models.agent_span.md#id12)
    * [`AgentSpan.summary`](prefactor_http.models.agent_span.md#id13)
    * [`AgentSpan.type`](prefactor_http.models.agent_span.md#id14)
    * [`AgentSpan.updated_at`](prefactor_http.models.agent_span.md#id15)
  * [`CreateAgentSpanRequest`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest)
    * [`CreateAgentSpanRequest.agent_instance_id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.agent_instance_id)
    * [`CreateAgentSpanRequest.schema_name`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.schema_name)
    * [`CreateAgentSpanRequest.status`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.status)
    * [`CreateAgentSpanRequest.payload`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.payload)
    * [`CreateAgentSpanRequest.result_payload`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.result_payload)
    * [`CreateAgentSpanRequest.id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.id)
    * [`CreateAgentSpanRequest.parent_span_id`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.parent_span_id)
    * [`CreateAgentSpanRequest.started_at`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.started_at)
    * [`CreateAgentSpanRequest.finished_at`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.finished_at)
    * [`CreateAgentSpanRequest.idempotency_key`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.idempotency_key)
    * [`CreateAgentSpanRequest.agent_instance_id`](prefactor_http.models.agent_span.md#id16)
    * [`CreateAgentSpanRequest.finished_at`](prefactor_http.models.agent_span.md#id17)
    * [`CreateAgentSpanRequest.id`](prefactor_http.models.agent_span.md#id18)
    * [`CreateAgentSpanRequest.idempotency_key`](prefactor_http.models.agent_span.md#id19)
    * [`CreateAgentSpanRequest.model_config`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.CreateAgentSpanRequest.model_config)
    * [`CreateAgentSpanRequest.parent_span_id`](prefactor_http.models.agent_span.md#id20)
    * [`CreateAgentSpanRequest.payload`](prefactor_http.models.agent_span.md#id21)
    * [`CreateAgentSpanRequest.result_payload`](prefactor_http.models.agent_span.md#id22)
    * [`CreateAgentSpanRequest.schema_name`](prefactor_http.models.agent_span.md#id23)
    * [`CreateAgentSpanRequest.started_at`](prefactor_http.models.agent_span.md#id24)
    * [`CreateAgentSpanRequest.status`](prefactor_http.models.agent_span.md#id25)
  * [`FinishSpanRequest`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.FinishSpanRequest)
    * [`FinishSpanRequest.status`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.FinishSpanRequest.status)
    * [`FinishSpanRequest.result_payload`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.FinishSpanRequest.result_payload)
    * [`FinishSpanRequest.timestamp`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.FinishSpanRequest.timestamp)
    * [`FinishSpanRequest.idempotency_key`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.FinishSpanRequest.idempotency_key)
    * [`FinishSpanRequest.idempotency_key`](prefactor_http.models.agent_span.md#id26)
    * [`FinishSpanRequest.model_config`](prefactor_http.models.agent_span.md#prefactor_http.models.agent_span.FinishSpanRequest.model_config)
    * [`FinishSpanRequest.result_payload`](prefactor_http.models.agent_span.md#id27)
    * [`FinishSpanRequest.status`](prefactor_http.models.agent_span.md#id28)
    * [`FinishSpanRequest.timestamp`](prefactor_http.models.agent_span.md#id29)
* [prefactor_http.models.base module](prefactor_http.models.base.md)
  * [`ApiError`](prefactor_http.models.base.md#prefactor_http.models.base.ApiError)
    * [`ApiError.status`](prefactor_http.models.base.md#prefactor_http.models.base.ApiError.status)
    * [`ApiError.code`](prefactor_http.models.base.md#prefactor_http.models.base.ApiError.code)
    * [`ApiError.message`](prefactor_http.models.base.md#prefactor_http.models.base.ApiError.message)
    * [`ApiError.code`](prefactor_http.models.base.md#id0)
    * [`ApiError.message`](prefactor_http.models.base.md#id1)
    * [`ApiError.model_config`](prefactor_http.models.base.md#prefactor_http.models.base.ApiError.model_config)
    * [`ApiError.status`](prefactor_http.models.base.md#id2)
  * [`ApiResponse`](prefactor_http.models.base.md#prefactor_http.models.base.ApiResponse)
    * [`ApiResponse.status`](prefactor_http.models.base.md#prefactor_http.models.base.ApiResponse.status)
    * [`ApiResponse.details`](prefactor_http.models.base.md#prefactor_http.models.base.ApiResponse.details)
    * [`ApiResponse.details`](prefactor_http.models.base.md#id3)
    * [`ApiResponse.model_config`](prefactor_http.models.base.md#prefactor_http.models.base.ApiResponse.model_config)
    * [`ApiResponse.status`](prefactor_http.models.base.md#id4)
  * [`DetailedApiError`](prefactor_http.models.base.md#prefactor_http.models.base.DetailedApiError)
    * [`DetailedApiError.errors`](prefactor_http.models.base.md#prefactor_http.models.base.DetailedApiError.errors)
    * [`DetailedApiError.errors`](prefactor_http.models.base.md#id5)
    * [`DetailedApiError.model_config`](prefactor_http.models.base.md#prefactor_http.models.base.DetailedApiError.model_config)
  * [`ListResponse`](prefactor_http.models.base.md#prefactor_http.models.base.ListResponse)
    * [`ListResponse.status`](prefactor_http.models.base.md#prefactor_http.models.base.ListResponse.status)
    * [`ListResponse.summaries`](prefactor_http.models.base.md#prefactor_http.models.base.ListResponse.summaries)
    * [`ListResponse.pagination`](prefactor_http.models.base.md#prefactor_http.models.base.ListResponse.pagination)
    * [`ListResponse.sorting`](prefactor_http.models.base.md#prefactor_http.models.base.ListResponse.sorting)
    * [`ListResponse.model_config`](prefactor_http.models.base.md#prefactor_http.models.base.ListResponse.model_config)
    * [`ListResponse.pagination`](prefactor_http.models.base.md#id6)
    * [`ListResponse.sorting`](prefactor_http.models.base.md#id7)
    * [`ListResponse.status`](prefactor_http.models.base.md#id8)
    * [`ListResponse.summaries`](prefactor_http.models.base.md#id9)
  * [`PaginationOutput`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput)
    * [`PaginationOutput.item_count`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.item_count)
    * [`PaginationOutput.item_end`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.item_end)
    * [`PaginationOutput.item_start`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.item_start)
    * [`PaginationOutput.next_page_offset`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.next_page_offset)
    * [`PaginationOutput.page_count`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.page_count)
    * [`PaginationOutput.page_index`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.page_index)
    * [`PaginationOutput.page_offset`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.page_offset)
    * [`PaginationOutput.page_size`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.page_size)
    * [`PaginationOutput.previous_page_offset`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.previous_page_offset)
    * [`PaginationOutput.item_count`](prefactor_http.models.base.md#id10)
    * [`PaginationOutput.item_end`](prefactor_http.models.base.md#id11)
    * [`PaginationOutput.item_start`](prefactor_http.models.base.md#id12)
    * [`PaginationOutput.model_config`](prefactor_http.models.base.md#prefactor_http.models.base.PaginationOutput.model_config)
    * [`PaginationOutput.next_page_offset`](prefactor_http.models.base.md#id13)
    * [`PaginationOutput.page_count`](prefactor_http.models.base.md#id14)
    * [`PaginationOutput.page_index`](prefactor_http.models.base.md#id15)
    * [`PaginationOutput.page_offset`](prefactor_http.models.base.md#id16)
    * [`PaginationOutput.page_size`](prefactor_http.models.base.md#id17)
    * [`PaginationOutput.previous_page_offset`](prefactor_http.models.base.md#id18)
  * [`Sorting`](prefactor_http.models.base.md#prefactor_http.models.base.Sorting)
    * [`Sorting.field`](prefactor_http.models.base.md#prefactor_http.models.base.Sorting.field)
    * [`Sorting.direction`](prefactor_http.models.base.md#prefactor_http.models.base.Sorting.direction)
    * [`Sorting.direction`](prefactor_http.models.base.md#id19)
    * [`Sorting.field`](prefactor_http.models.base.md#id20)
    * [`Sorting.model_config`](prefactor_http.models.base.md#prefactor_http.models.base.Sorting.model_config)
* [prefactor_http.models.bulk module](prefactor_http.models.bulk.md)
  * [`BulkItem`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem)
    * [`BulkItem.idempotency_key`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem.idempotency_key)
    * [`BulkItem.model_config`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem.model_config)
    * [`BulkItem.type`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkItem.type)
  * [`BulkOutput`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkOutput)
    * [`BulkOutput.model_config`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkOutput.model_config)
    * [`BulkOutput.status`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkOutput.status)
    * [`BulkOutput.validate_status()`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkOutput.validate_status)
  * [`BulkRequest`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkRequest)
    * [`BulkRequest.items`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkRequest.items)
    * [`BulkRequest.model_config`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkRequest.model_config)
    * [`BulkRequest.validate_unique_idempotency_keys()`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkRequest.validate_unique_idempotency_keys)
  * [`BulkResponse`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkResponse)
    * [`BulkResponse.model_config`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkResponse.model_config)
    * [`BulkResponse.outputs`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkResponse.outputs)
    * [`BulkResponse.status`](prefactor_http.models.bulk.md#prefactor_http.models.bulk.BulkResponse.status)
* [prefactor_http.models.types module](prefactor_http.models.types.md)